Bug 40118 - Pre-filled password in UMC login dialogue is cleared (due to Erratum #2)
Pre-filled password in UMC login dialogue is cleared (due to Erratum #2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.1
Other Linux
: P5 critical (vote)
: UCS 4.1-1-errata
Assigned To: Eduard Mai
Alexander Kläser
:
Depends on: 39898
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 13:11 CET by Alexander Kläser
Modified: 2016-04-13 14:56 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-11-27 13:11:28 CET
The change of Bug #39898 introduced as side effect to demo.univention.de, as the pre-filled Administrator password is cleared, as well.

+++ This bug was initially created as a clone of Bug #39898 +++

The username field gets cleared in the login dialog if the session times out. As the field is disabled one cannot overwrite it so that a page reload is required.
Comment 1 Alexander Kläser univentionstaff 2015-11-27 13:25:16 CET
I requested to add the following command to the revert-demo script:

> apt-get install univention-management-console-frontend=5.0.63-2.1189.201511102323

As a workaround, this will install the original 4.1 package version until this Bug has been fixed.
Comment 2 Alexander Kläser univentionstaff 2015-11-30 12:20:04 CET
(In reply to Alexander Kläser from comment #1)
> I requested to add the following command to the revert-demo script:
> 
> > apt-get install univention-management-console-frontend=5.0.63-2.1189.201511102323
> 
> As a workaround, this will install the original 4.1 package version until
> this Bug has been fixed.

The workaround has been done via Ticket#2015112721000353.
Comment 3 Stefan Gohmann univentionstaff 2016-03-29 07:02:13 CEST
Please fix it as soon as possible. Our demo system should be up-to-date.
Comment 4 Eduard Mai univentionstaff 2016-03-31 18:46:07 CEST
UCS-4.1-1:

Package: univention-demo-configuration
Rev. 68326: Fix pre-filled UMC login credentials
Version: 4.0.3-1.39.201603311844

Package: univention-management-console-frontend
Rev. 68327, 68328: Provide hook functionality to UMC for other packages
Rev. 68329: yaml file
Version: 5.0.63-32.1222.201603311834
Comment 5 Alexander Kläser univentionstaff 2016-04-06 11:31:26 CEST
YAML file: OK, little rewording [r68411]
Changes: FAIL

The changes work very nicley! I only found a problem when updating the demo configuration package. After the update, index.html is still diverted and no index.html exists :) .
Comment 6 Eduard Mai univentionstaff 2016-04-06 12:23:39 CEST
UCS-4.1-1:

Package: univention-demo-configuration
Rev. 68413: Remove diversion of index.html on package upgrade
Version: 4.0.3-2.40.201604061221
Comment 7 Alexander Kläser univentionstaff 2016-04-06 13:38:57 CEST
(In reply to Eduard Mai from comment #6)
> UCS-4.1-1:
> 
> Package: univention-demo-configuration
> Rev. 68413: Remove diversion of index.html on package upgrade
> Version: 4.0.3-2.40.201604061221

Yes, the update now works as expected.

VERIFIED
Comment 8 Janek Walkenhorst univentionstaff 2016-04-13 14:56:51 CEST
<http://errata.software-univention.de/ucs/4.1/150.html>